Bug 492096 - Confusing update availability
Confusing update availability
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 07:45 EDT by Michael Monreal
Modified: 2009-03-31 08:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 06:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (61.52 KB, image/png)
2009-03-25 07:47 EDT, Michael Monreal
no flags Details
Screenshot 2 (68.84 KB, image/png)
2009-03-31 08:12 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-03-25 07:45:19 EDT
If you start the update app, it shows "Updates available" even before downloading the update list. If no updates are found, you will be able to read "Updates available" in the main window and "No updates available" in a popup window at the same time...
Comment 1 Michael Monreal 2009-03-25 07:47:02 EDT
Created attachment 336621 [details]
Screenshot
Comment 2 Richard Hughes 2009-03-26 06:40:02 EDT
commit f16527703e21d8776544f48c4346c6ea104e09cb
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Mar 26 10:39:14 2009 +0000

    bugfix: set the update viewer title properly when there are no updates. Fixes rh#492096
Comment 3 Michael Monreal 2009-03-31 08:12:36 EDT
Created attachment 337292 [details]
Screenshot 2

What exactly did you change? Will the title be changed to "no updates" after the list is downloaded?

IMHO the updater should not display "There are updates available" until it knows for sure, e.g. can display the updates in the list view.

Note You need to log in before you can comment on or make changes to this bug.